Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class TransparencyInterpolator

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Leaf
                  javax.media.j3d.Behavior
                      javax.media.j3d.Interpolator
                          javax.media.j3d.TransparencyInterpolator

    public class TransparencyInterpolator

extends Interpolator

TransparencyInterpolator behavior. This class defines a behavior that modifies the transparency of its target TransparencyAttributes object by linearly interpolating between a pair of specified transparency values (using the value generated by the specified Alpha object).

There are two forms of constructor to specify the type of transparency interpolation. The first constructor takes an Alpha and a TransparencyAttributes object and creates a transparency interpolator that maps an Alpha value of 1.0 to a transparency value of 1.0, and an Alpha value of 0.0 and maps it to a transparency value of 0.0. The second constructor takes an Alpha, a TransparencyAttributes object, a minimum transparency value and a maximum transparency value. This constructor provides more flexibility by specifying how the Alpha values are mapped to the transparency values - an Alpha of 1.0 maps to the maximum transparency value and an Alpha of 0.0 maps to the minimum transparency value.

See Also:
  `Alpha`, `TransparencyAttributes`

Field Summary

Fields inherited from class javax.media.j3d.Interpolator
`defaultWakeupCriterion`

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Constructor Summary
`TransparencyInterpolator(Alpha alpha, TransparencyAttributes target)` Constructs a trivial transparency interpolator with a specified target, a minimum transparency of 0.0f and a maximum transparency of 1.0f.
`TransparencyInterpolator(Alpha alpha, TransparencyAttributes target, float minimumTransparency, float maximumTransparency)` Constructs a new transparency interpolator that varies the target material's transparency between the two transparency values.

Method Summary
`Node` | `cloneNode(boolean forceDuplicate)` Used to create a new instance of the node.
`float` | `getMaximumTransparency()` This method retrieves this interpolator's maximumTransparency.
`float` | `getMinimumTransparency()` This method retrieves this interpolator's minimumTransparency.
`TransparencyAttributes` | `getTarget()` This method retrieves this interpolator's target reference.
`void` | `processStimulus(java.util.Enumeration criteria)` This method is invoked by the behavior scheduler every frame.
`void` | `setMaximumTransparency(float transparency)` This method sets the maximumTransparency for this interpolator.
`void` | `setMinimumTransparency(float transparency)` This method sets the minimumTransparency for this interpolator.
`void` | `setTarget(TransparencyAttributes target)` This method sets the target TransparencyAttributes object for this interpolator.
`void` | `updateNodeReferences(NodeReferenceTable referenceTable)` Callback used to allow a node to check if any nodes referenced by that node have been duplicated via a call to `cloneTree`.

Methods inherited from class javax.media.j3d.Interpolator
`getAlpha, initialize, setAlpha`

Methods inherited from class javax.media.j3d.Behavior
`getEnable, getNumSchedulingIntervals, getSchedulingBoundingLeaf, getSchedulingBounds, getSchedulingInterval, getView, getWakeupCondition, postId, setEnable, setSchedulingBoundingLeaf, setSchedulingBounds, setSchedulingInterval, wakeupOn`

Methods inherited from class javax.media.j3d.Node
`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransparencyInterpolator

    public TransparencyInterpolator(Alpha alpha,
                                    TransparencyAttributes target)

  Constructs a trivial transparency interpolator with a specified target, a minimum transparency of 0.0f and a maximum transparency of 1.0f.

  Parameters:
    `alpha` - the alpha object for this interpolator
    `target` - the TransparencyAttributes component object affected by this interpolator

### TransparencyInterpolator

    public TransparencyInterpolator(Alpha alpha,
                                    TransparencyAttributes target,
                                    float minimumTransparency,
                                    float maximumTransparency)

  Constructs a new transparency interpolator that varies the target material's transparency between the two transparency values.

  Parameters:
    `alpha` - the alpha object for this Interpolator
    `target` - the TransparencyAttributes component object affected by this interpolator
    `minimumTransparency` - the starting transparency
    `maximumTransparency` - the ending transparency

Method Detail

### setMinimumTransparency

    public void setMinimumTransparency(float transparency)

  This method sets the minimumTransparency for this interpolator.

  Parameters:
    `transparency` - the new minimum transparency

### getMinimumTransparency

    public float getMinimumTransparency()

  This method retrieves this interpolator's minimumTransparency.

  Returns:
    the interpolator's minimum transparency value

### setMaximumTransparency

    public void setMaximumTransparency(float transparency)

  This method sets the maximumTransparency for this interpolator.

  Parameters:
    `transparency` - the new maximum transparency

### getMaximumTransparency

    public float getMaximumTransparency()

  This method retrieves this interpolator's maximumTransparency.

  Returns:
    the interpolator's maximal transparency vslue

### setTarget

    public void setTarget(TransparencyAttributes target)

  This method sets the target TransparencyAttributes object for this interpolator.

  Parameters:
    `target` - the target TransparencyAttributes object

### getTarget

    public TransparencyAttributes getTarget()

  This method retrieves this interpolator's target reference.

  Returns:
    the interpolator's target TransparencyAttributes object

### processStimulus

    public void processStimulus(java.util.Enumeration criteria)

  This method is invoked by the behavior scheduler every frame. It maps the alpha value that corresponds to the current time into a transparency value and updates the specified TransparencyAttributes object with this new transparency value.

  Specified by:
    `processStimulus` in class `Behavior`
  Parameters:
    `criteria` - an enumeration of the criteria that caused the stimulus

### cloneNode

    public Node cloneNode(boolean forceDuplicate)

  Used to create a new instance of the node. This routine is called by `cloneTree` to duplicate the current node.

  Overrides:
    `cloneNode` in class `Node`
  Parameters:
    `forceDuplicate` - when set to `true`, causes the `duplicateOnCloneTree` flag to be ignored. When `false`, the value of each node's `duplicateOnCloneTree` variable determines whether NodeComponent data is duplicated or copied.
  See Also:
    `Node.cloneTree()`, `Node.cloneNode(boolean)`, `Node.duplicateNode(javax.media.j3d.Node, boolean)`, `NodeComponent.setDuplicateOnCloneTree(boolean)`

### updateNodeReferences

    public void updateNodeReferences(NodeReferenceTable referenceTable)

  Callback used to allow a node to check if any nodes referenced by that node have been duplicated via a call to `cloneTree`. This method is called by `cloneTree` after all nodes in the sub-graph have been duplicated. The cloned Leaf node's method will be called and the Leaf node can then look up any node references by using the `getNewObjectReference` method found in the `NodeReferenceTable` object. If a match is found, a reference to the corresponding Node in the newly cloned sub-graph is returned. If no corresponding reference is found, either a DanglingReferenceException is thrown or a reference to the original node is returned depending on the value of the `allowDanglingReferences` parameter passed in the `cloneTree` call.

  NOTE: Applications should not call this method directly. It should only be called by the cloneTree method.

  Overrides:
    `updateNodeReferences` in class `Behavior`
  Parameters:
    `referenceTable` - a NodeReferenceTableObject that contains the `getNewObjectReference` method needed to search for new object instances.
  See Also:
    `NodeReferenceTable`, `Node.cloneTree()`, `DanglingReferenceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD